Bug 3932 - [PATCH] Fix a use-after-free problem
Summary: [PATCH] Fix a use-after-free problem
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: x86 (IA32) FreeBSD
: high normal
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-31 13:01 UTC by Joe Marcus Clarke
Modified: 2006-08-01 10:26 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Joe Marcus Clarke 2005-07-31 13:01:17 UTC
In glib/dbus-gidl.c, the info variable is used after it is freed.  This results
in a crash on FreeBSD.  The attached patch corrects that problem.
Comment 1 Joe Marcus Clarke 2005-07-31 13:01:42 UTC
Created attachment 3200 [details] [review]
Check for "auto-flush" behavior and report UNTESTED instead of FAIL.
Comment 2 Colin Walters 2005-08-02 02:13:09 UTC
Applied, thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.